Author Topic: LinuxMCE install failure  (Read 1556 times)

steve ling

  • Making baby steps
  • Posts: 3
    • View Profile
LinuxMCE install failure
« on: April 20, 2007, 08:40:42 pm »
Trouble installing LinuxMCE 1.0 on a fresh install of Ubuntu 6.10 desktop. Here is the log. Busy server maybe?

BTW, I selected No for DHCP server while I try out LinuxMCE. I already have a DHCP server. If I decide to keep LinuxMCE I will give it a subnet of its own.

Quote
MESSAGE: Seting Up Networking
SIOCSIFFLAGS: Cannot assign requested address
MESSAGE: Setting up APT Package Manager
MESSAGE: Preseeding debconf options
Ign file: ./ Release.gpg
Ign file: ./ Translation-en_US
Ign file: ./ Release
Ign file: ./ Packages
Err file: ./ Packages
  File not found
Ign newbielink:http://linuxmce.com [nonactive] ./ Release.gpg
Ign newbielink:http://linuxmce.com [nonactive] ./ Translation-en_US
Ign newbielink:http://linuxmce.com [nonactive] ./ Release
Ign newbielink:http://linuxmce.com [nonactive] ./ Packages
Get:1 newbielink:http://linuxmce.com [nonactive] ./ Packages [1798B]
Err newbielink:http://archive.ubuntu.com [nonactive] edgy Release.gpg
  Connection failed [IP: 91.189.89.8 80]
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/main Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/restricted Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/multiverse Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/universe Translation-en_US
Get:2 newbielink:http://archive.ubuntu.com [nonactive] edgy-security Release.gpg [191B]
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/main Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/restricted Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/multiverse Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/universe Translation-en_US
Get:3 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates Release.gpg [191B]
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/restricted Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/multiverse Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/universe Translation-en_US
Get:4 newbielink:http://archive.ubuntu.com [nonactive] edgy Release [34.7kB]
Get:5 newbielink:http://archive.ubuntu.com [nonactive] edgy-security Release [50.9kB]
Get:6 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates Release [38.4kB]
Get:7 newbielink:http://archive.ubuntu.com [nonactive] edgy/main Packages [940kB]
Get:8 newbielink:http://archive.ubuntu.com [nonactive] edgy/restricted Packages [5974B]
Get:9 newbielink:http://archive.ubuntu.com [nonactive] edgy/multiverse Packages [126kB]
Get:10 newbielink:http://archive.ubuntu.com [nonactive] edgy/universe Packages [3559kB]
Get:11 newbielink:http://archive.ubuntu.com [nonactive] edgy-security/main Packages [80.5kB]
Get:12 newbielink:http://archive.ubuntu.com [nonactive] edgy-security/restricted Packages [5678B]
Get:13 newbielink:http://archive.ubuntu.com [nonactive] edgy-security/multiverse Packages [3786B]
Get:14 newbielink:http://archive.ubuntu.com [nonactive] edgy-security/universe Packages [38.2kB]
Get:15 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main Packages [78.7kB]
Get:16 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/restricted Packages [14B]
Get:17 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/multiverse Packages [14B]
Get:18 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/universe Packages [21.0kB]
Failed to fetch newbielink:http://archive.ubuntu.com/ubuntu/dists/edgy/Release.gpg [nonactive]  Connection failed [IP: 91.189.89.8 80]
Failed to fetch file:/usr/pluto/deb-cache/./Packages.gz  File not found
Fetched 4984kB in 2m0s (41.4kB/s)
Reading package lists...
E: Some index files failed to download, they have been ignored, or old ones used instead.
MESSAGE: Generating Default Config File
MESSAGE: Configuring Network Information Service (NIS)
Mounting CD
MESSAGE: Caching LinuxMCE CD on the harddrive
MESSAGE: Installing LinuxMCE Base Software
Ign file: ./ Release.gpg
Ign file: ./ Translation-en_US
Ign file: ./ Release
Ign file: ./ Packages
Ign newbielink:http://linuxmce.com [nonactive] ./ Release.gpg
Ign newbielink:http://linuxmce.com [nonactive] ./ Translation-en_US
Ign newbielink:http://linuxmce.com [nonactive] ./ Release
Ign newbielink:http://linuxmce.com [nonactive] ./ Packages
Hit newbielink:http://linuxmce.com [nonactive] ./ Packages
Err newbielink:http://archive.ubuntu.com [nonactive] edgy Release.gpg
  Connection failed [IP: 91.189.89.8 80]
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/main Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/restricted Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/multiverse Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy/universe Translation-en_US
Get:1 newbielink:http://archive.ubuntu.com [nonactive] edgy-security Release.gpg [191B]
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/main Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/restricted Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/multiverse Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-security/universe Translation-en_US
Get:2 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates Release.gpg [191B]
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/restricted Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/multiverse Translation-en_US
Ign newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/universe Translation-en_US
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy Release
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-security Release
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-updates Release
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy/main Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy/restricted Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy/multiverse Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy/universe Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-security/main Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-security/restricted Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-security/multiverse Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-security/universe Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/restricted Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/multiverse Packages
Hit newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/universe Packages
Failed to fetch newbielink:http://archive.ubuntu.com/ubuntu/dists/edgy/Release.gpg [nonactive]  Connection failed [IP: 91.189.89.8 80]
Fetched 2B in 34s (0B/s)
Reading package lists...
E: Some index files failed to download, they have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
The following packages were automatically installed and are no longer required:
  libsdl1.2debian-alsa
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  ansi2html apache2 apache2-common apache2-mpm-prefork apache2-utils atftpd
  attr autofs bind9 cabextract curl ddclient debootstrap dhcp3-server
  discover1 discover1-data etherwake ftp-upload imagemagick
  libapache2-mod-php4 libapr0 libartsc0 libcompress-zlib-perl
  libconvert-binhex-perl libcrypt-smbhash-perl libcrypt-ssleay-perl
  libdbd-mysql-perl libdbi-perl libdigest-md4-perl libdiscover1 libevent1
  libfcgi-perl libflickr-api-perl libgd2-xpm libgssapi2 libhttpfetcher1
  libid3-3.8.3c2a libio-socket-ssl-perl libio-stringy-perl libjack0.100.0-0
  liblame0 libmailtools-perl libmime-lite-perl libmime-perl libmysqlclient12
  libmysqlclient14 libmysqlclient15off libmyth-0.20 libnet-daemon-perl
  libnet-ssleay-perl libnfsidmap1 libossp-uuid-perl libossp-uuid13 libpcre3
  libplrpc-perl libqt3-mt libqt3-mt-mysql librpcsecgss2 libsdl-gfx1.2-4
  libsdl-image1.2 libsdl-sge libsdl-ttf2.0-0 libsdl1.2debian-all
  libsdl1.2debian-pluto libsdl1.2debian-pluto-oss libsoap-lite-perl
  libssl0.9.7 libt1-5 libtimedate-perl libxml-libxml-common-perl
  libxml-libxml-perl libxml-namespacesupport-perl libxml-parser-lite-tree-perl
  libxml-sax-perl libxml-simple-perl libxvmc1 libzzip-0-12 lshwd
  mce-diskless-tools mce-launcher mdadm msttcorefonts mysql-client
  mysql-client-5.0 mysql-common mysql-server mysql-server-5.0 mythtv-backend
  mythtv-common mythtv-database nbtscan nfs-common nfs-kernel-server nis
  ntp-simple openbsd-inetd openssh-server perlmagick php4-common php4-curl
  php4-gd php4-mysql pluto-add-software pluto-boot-scripts
  pluto-capture-card-scripts pluto-confirm-dependencies pluto-convert-mac
  pluto-createdevice pluto-database-settings pluto-dcecommon
  pluto-dhcpd-plugin pluto-disk-monitor pluto-dummy-console-tools
  pluto-dynamic-dns pluto-hald pluto-install-scripts pluto-libserial
  pluto-local-database pluto-media-database pluto-messagesend
  pluto-network-storage pluto-newmdinteractor pluto-orbitergen
  pluto-orbiterinstaller pluto-pluto-main-db pluto-pluto-media-db
  pluto-pluto-security-db pluto-pluto-telecom-db pluto-plutodhcp
  pluto-plutoutils pluto-pnp-detection pluto-qos pluto-ra pluto-raid-tools
  pluto-remoteassistance pluto-sdl-helpers pluto-security-database
  pluto-serializeclass pluto-shiftstate pluto-skins-basic
  pluto-sound-card-scripts pluto-sqlcvs pluto-std-plugins
  pluto-storage-devices pluto-system-database pluto-telecom-database
  pluto-test-serial-port pluto-update-system pluto-updateentarea
  pluto-updatemedia pluto-website-admin pluto-website-support
  pluto-windowsce-libraries portmap pwgen samba smbfs ssh syslinux tee-pluto
  vim vim-runtime
Suggested packages:
  apache2-doc bind9-doc html2ps php-pear dbishell libgd-tools uuid
  libqt3-mt-psql libqt3-mt-odbc libapache-mod-perl libapache2-mod-perl2 tinyca
  mythtv-frontend mythweb ntp-doc ntp rssh ctags vim-doc vim-scripts
Recommended packages:
  netkit-inetd jackd libnet-jabber-perl mail-transport-agent mailx xmltv-util
  mythtv-doc ntp-server smbldap-tools mtools
The following packages will be REMOVED:
  libsdl1.2debian-alsa
The following NEW packages will be installed:
  ansi2html apache2 apache2-common apache2-mpm-prefork apache2-utils atftpd
  attr autofs bind9 cabextract curl ddclient debootstrap dhcp3-server
  discover1 discover1-data etherwake ftp-upload imagemagick
  libapache2-mod-php4 libapr0 libartsc0 libcompress-zlib-perl
  libconvert-binhex-perl libcrypt-smbhash-perl libcrypt-ssleay-perl
  libdbd-mysql-perl libdbi-perl libdigest-md4-perl libdiscover1 libevent1
  libfcgi-perl libflickr-api-perl libgd2-xpm libgssapi2 libhttpfetcher1
  libid3-3.8.3c2a libio-socket-ssl-perl libio-stringy-perl libjack0.100.0-0
  liblame0 libmailtools-perl libmime-lite-perl libmime-perl libmysqlclient12
  libmysqlclient14 libmysqlclient15off libmyth-0.20 libnet-daemon-perl
  libnet-ssleay-perl libnfsidmap1 libossp-uuid-perl libossp-uuid13 libpcre3
  libplrpc-perl libqt3-mt libqt3-mt-mysql librpcsecgss2 libsdl-gfx1.2-4
  libsdl-image1.2 libsdl-sge libsdl-ttf2.0-0 libsdl1.2debian-all
  libsdl1.2debian-pluto libsdl1.2debian-pluto-oss libsoap-lite-perl
  libssl0.9.7 libt1-5 libtimedate-perl libxml-libxml-common-perl
  libxml-libxml-perl libxml-namespacesupport-perl libxml-parser-lite-tree-perl
  libxml-sax-perl libxml-simple-perl libxvmc1 libzzip-0-12 lshwd
  mce-diskless-tools mce-launcher mdadm msttcorefonts mysql-client
  mysql-client-5.0 mysql-common mysql-server mysql-server-5.0 mythtv-backend
  mythtv-common mythtv-database nbtscan nfs-common nfs-kernel-server nis
  ntp-simple openbsd-inetd openssh-server perlmagick php4-common php4-curl
  php4-gd php4-mysql pluto-add-software pluto-boot-scripts
  pluto-capture-card-scripts pluto-confirm-dependencies pluto-convert-mac
  pluto-createdevice pluto-database-settings pluto-dcecommon pluto-dcerouter
  pluto-dhcpd-plugin pluto-disk-monitor pluto-dummy-console-tools
  pluto-dynamic-dns pluto-hald pluto-install-scripts pluto-libserial
  pluto-local-database pluto-media-database pluto-messagesend
  pluto-network-storage pluto-newmdinteractor pluto-orbitergen
  pluto-orbiterinstaller pluto-pluto-main-db pluto-pluto-media-db
  pluto-pluto-security-db pluto-pluto-telecom-db pluto-plutodhcp
  pluto-plutoutils pluto-pnp-detection pluto-qos pluto-ra pluto-raid-tools
  pluto-remoteassistance pluto-sdl-helpers pluto-security-database
  pluto-serializeclass pluto-shiftstate pluto-skins-basic
  pluto-sound-card-scripts pluto-sqlcvs pluto-std-plugins
  pluto-storage-devices pluto-system-database pluto-telecom-database
  pluto-test-serial-port pluto-update-system pluto-updateentarea
  pluto-updatemedia pluto-website-admin pluto-website-support
  pluto-windowsce-libraries portmap pwgen samba smbfs ssh syslinux tee-pluto
  vim vim-runtime
0 upgraded, 163 newly installed, 1 to remove and 0 not upgraded.
Need to get 56.0MB/262MB of archives.
After unpacking 524MB of additional disk space will be used.
WARNING: The following packages cannot be authenticated!
  openbsd-inetd debootstrap mce-diskless-tools mysql-common libmysqlclient12
  libmysqlclient14 libhttpfetcher1 pluto-plutoutils pluto-serializeclass
  pluto-pluto-main-db pluto-add-software libnet-daemon-perl libplrpc-perl
  libdbi-perl libmysqlclient15off libdbd-mysql-perl mysql-client-5.0
  mysql-client portmap libevent1 libgssapi2 libnfsidmap1 librpcsecgss2
  nfs-common nfs-kernel-server syslinux discover1-data libdiscover1 discover1
  ftp-upload libdigest-md4-perl libcrypt-smbhash-perl smbfs nis lshwd
  tee-pluto pluto-shiftstate openssh-server ssh vim-runtime vim
  pluto-dummy-console-tools pluto-network-storage pluto-capture-card-scripts
  pluto-createdevice pluto-disk-monitor pluto-dcecommon pluto-libserial
  pluto-hald pluto-messagesend pluto-pnp-detection pluto-sound-card-scripts
  samba nbtscan autofs pluto-storage-devices pluto-test-serial-port
  pluto-update-system mdadm pluto-raid-tools pluto-boot-scripts
  mysql-server-5.0 mysql-server pluto-database-settings pwgen mythtv-common
  libartsc0 libjack0.100.0-0 liblame0 libqt3-mt libxvmc1 libqt3-mt-mysql
  libmyth-0.20 mythtv-backend mythtv-database libssl0.9.7 libpcre3 atftpd
  dhcp3-server bind9 etherwake ntp-simple mce-launcher
  pluto-confirm-dependencies curl pluto-convert-mac pluto-dhcpd-plugin
  pluto-install-scripts pluto-ra pluto-sqlcvs pluto-local-database
  pluto-newmdinteractor libsdl-gfx1.2-4 libsdl-image1.2 libsdl-sge
  libsdl-ttf2.0-0 libsdl1.2debian-all cabextract msttcorefonts
  libsdl1.2debian-pluto-oss libsdl1.2debian-pluto pluto-sdl-helpers
  pluto-orbitergen pluto-orbiterinstaller pluto-plutodhcp pluto-qos
  pluto-remoteassistance pluto-skins-basic libid3-3.8.3c2a imagemagick
  libossp-uuid13 libossp-uuid-perl libcrypt-ssleay-perl libmime-lite-perl
  libfcgi-perl libtimedate-perl libmailtools-perl libio-stringy-perl
  libconvert-binhex-perl libmime-perl libnet-ssleay-perl libio-socket-ssl-perl
  libcompress-zlib-perl libsoap-lite-perl libxml-namespacesupport-perl
  libxml-sax-perl libxml-libxml-common-perl libxml-libxml-perl
  libxml-simple-perl perlmagick libflickr-api-perl
  libxml-parser-lite-tree-perl pluto-media-database pluto-pluto-media-db
  pluto-pluto-security-db pluto-pluto-telecom-db pluto-security-database
  pluto-system-database pluto-telecom-database pluto-std-plugins
  pluto-updateentarea libapr0 apache2-utils apache2-common apache2-mpm-prefork
  apache2 libzzip-0-12 php4-common libapache2-mod-php4 php4-curl php4-mysql
  libgd2-xpm libt1-5 php4-gd attr ansi2html ddclient pluto-dynamic-dns
  pluto-updatemedia pluto-website-admin pluto-windowsce-libraries
  pluto-website-support pluto-dcerouter
Authentication warning overridden.
Get:1 newbielink:http://linuxmce.com [nonactive] ./ pluto-orbiterinstaller 1.0.1 [6285kB]
Get:2 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main mysql-common 5.0.24a-9ubuntu2 [42.3kB]
Get:3 newbielink:http://archive.ubuntu.com [nonactive] edgy/main libnet-daemon-perl 0.38-1.1 [45.9kB]
Get:4 newbielink:http://archive.ubuntu.com [nonactive] edgy/main libplrpc-perl 0.2017-1.1 [35.0kB]
Get:5 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main libmysqlclient15off 5.0.24a-9ubuntu2 [1760kB]
Get:6 newbielink:http://linuxmce.com [nonactive] ./ pluto-std-plugins 1.0.1 [9575kB]
Get:7 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main mysql-client-5.0 5.0.24a-9ubuntu2 [6956kB]
Get:8 newbielink:http://linuxmce.com [nonactive] ./ pluto-dcerouter 1.0.1 [2133kB]
Err newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main mysql-client 5.0.24a-9ubuntu2
  Connection failed [IP: 91.189.89.6 80]
Get:9 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main mysql-server-5.0 5.0.24a-9ubuntu2 [24.9MB]
Get:10 newbielink:http://archive.ubuntu.com [nonactive] edgy-updates/main mysql-server 5.0.24a-9ubuntu2 [39.7kB]
Get:11 newbielink:http://archive.ubuntu.com [nonactive] edgy/universe libjack0.100.0-0 0.101.1-1 [71.2kB]
Get:12 newbielink:http://archive.ubuntu.com [nonactive] edgy-security/main libqt3-mt 3:3.3.6-3ubuntu3.1 [3138kB]
Get:13 newbielink:http://archive.ubuntu.com [nonactive] edgy-security/universe libqt3-mt-mysql 3:3.3.6-3ubuntu3.1 [52.8kB]
Get:14 newbielink:http://archive.ubuntu.com [nonactive] edgy/main apache2-utils 2.0.55-4ubuntu4 [93.1kB]
Get:15 newbielink:http://archive.ubuntu.com [nonactive] edgy/main apache2-common 2.0.55-4ubuntu4 [807kB]
Failed to fetch newbielink:http://archive.ubuntu.com/ubuntu/pool/main/m/mysql-dfsg-5.0/mysql-client_5.0.24a-9ubuntu2_all.deb [nonactive]  Connection failed [IP: 91.189.89.6 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
Fetched 56.0MB in 30m16s (30.8kB/s)

ERROR : Failed to install and configure the base software


digitaldan

  • Newbie
  • *
  • Posts: 13
    • View Profile
Re: LinuxMCE install failure
« Reply #1 on: April 20, 2007, 10:50:19 pm »
It looks your having trouble connecting to the main ubuntu servers for retrieveing updated packages (not linuxmce related).  The ubuntu folks may be using some DNS based load balancing to determine which mirror you get.  Thier latest release Just came out this week so many of their mirrors are slammed.  I would try it again and see if the problem fixes it self.

D-

ddamron

  • Alumni
  • wants to work for LinuxMCE
  • *
  • Posts: 962
    • View Profile
    • My LinuxMCE User Page
Re: LinuxMCE install failure
« Reply #2 on: April 21, 2007, 02:37:54 am »
Hi Steve, Yeah, it is due to the mirrors going down...

in my experience, I've been able to install about 6 times over, (trying different configs, etc) but yesterday, I could not install at all, was getting timeout errors, and connections lost...

Also, I was trying to update 6.10 and was receiving the same errors...
most definately, was an ubuntu repository issue...
I tried again today, and all is (still slow, but) better.

Keep in mind, ubuntu has released fiesty yesterday, so the servers are probably going to be pretty busy for the next few days dealing with that..

Good luck with your install

Dan
The only intuitive interface is the nipple.  After that it's all learned.
My other computer is your windows box.
I'm out of my mind.  Back in 5 minutes.
Q:  What's Red and smells like blue paint?

A:  Red Paint.

steve ling

  • Making baby steps
  • Posts: 3
    • View Profile
Re: LinuxMCE install failure
« Reply #3 on: April 22, 2007, 12:57:44 am »
I tried several more times and still getting errors. Is anyone getting the installer to work?

steve ling

  • Making baby steps
  • Posts: 3
    • View Profile
Re: LinuxMCE install failure
« Reply #4 on: April 22, 2007, 07:07:35 am »
I tried taking all the defaults on the LinuxMCE installer and that worked. I guess it didn't like me saying no to the DHCP server.

Finally got a successful install. Now I can graduate from the "Installation Issue" forum to the "User" forum :).